package projectzombie.menu;

import gl_engine.matrix.Matrix4;
import gl_engine.vec.Vec2d;
import projectzombie.init.Models;
import projectzombie.menu.gui.GUIContainerSlider;

public class MenuInventoryBasic extends MenuInventory
{
	private GUIContainerSlider slider;

	public MenuInventoryBasic(Menu parent) {
		super(parent);
		
		slider = new GUIContainerSlider(new Vec2d(
				Models.UI_INVENTORY.getWidth() * 1 / 256.0,
				-Models.UI_INVENTORY.getHeight() * 127 / 256.0), new Vec2d(
				Models.UI_INVENTORY.getWidth() * 254 / 256.0,
				Models.UI_INVENTORY.getHeight() * 254 / 256.0), 100);
		
		gui.add(slider);
	}
	
	@Override
	public void render()
	{
		Matrix4 matrix = Matrix4.translate(0, -Models.UI_INVENTORY.getHeight() / 2, 0);
		
		// Render the inventory gui
		Models.UI_SELECTION_BOX_BIG.setModel(matrix);
		Models.UI_SELECTION_BOX_BIG.render();
		
		super.render();
	}

}
